Build insert payload for snapshot/reference insertion
curl --request POST \
--url https://api.autype.com/api/v1/dev/reusable-blocks/{blockId}/insert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "reference",
"version": 123,
"locked": false
}
'import requests
url = "https://api.autype.com/api/v1/dev/reusable-blocks/{blockId}/insert"
payload = {
"mode": "reference",
"version": 123,
"locked": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'reference', version: 123, locked: false})
};
fetch('https://api.autype.com/api/v1/dev/reusable-blocks/{blockId}/insert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
"<string>"
],
"block": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"slug": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"currentVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"createdByUserId": "<string>",
"current": {
"id": "<string>",
"blockId": "<string>",
"version": 123,
"title": "<string>",
"markdown": "<string>",
"schema": {},
"variables": {},
"createdAt": "2023-11-07T05:31:56Z",
"changeNote": "<string>",
"restoredFromVersion": 123,
"createdByUserId": "<string>"
},
"versions": [
{
"id": "<string>",
"blockId": "<string>",
"version": 123,
"title": "<string>",
"markdown": "<string>",
"schema": {},
"variables": {},
"createdAt": "2023-11-07T05:31:56Z",
"changeNote": "<string>",
"restoredFromVersion": 123,
"createdByUserId": "<string>"
}
]
}
}Reusable Blocks
Build insert payload for snapshot/reference insertion
POST
/
api
/
v1
/
dev
/
reusable-blocks
/
{blockId}
/
insert
Build insert payload for snapshot/reference insertion
Authorizations
mcp-oauthapi-key
Short-lived, Developer-API-audience token obtained by the trusted MCP service through token exchange (mcp_at_...). Raw MCP resource tokens are rejected.
Path Parameters
Body
application/json
⌘I
